//
//  PricingSubscribeHeader.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 21/01/2025.
//

import SwiftUI

struct PricingSubscribeHeader: View {
    var pricing: Pricing

    var body: some View {
        HStack {
            Button {

            } label: {
                SQIcon(.xmark, size: .l)
            }
            Spacer()
            SQText(pricing.headerTitle)
                .sqSize(18)
                .sqFont(.bold)
            Spacer()
            if pricing == .premierPro {
                Button {

                } label: {
                    SQIcon(.user_group, size: .l)
                }
            }
        }
        .padding()
    }
}

#Preview {
    PricingSubscribeHeader(pricing: .premier)
}
